Retrieve a Document
curl --request GET \
--url https://api.intelligence.io.solutions/api/r2r/v3/documents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.intelligence.io.solutions/api/r2r/v3/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.intelligence.io.solutions/api/r2r/v3/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"collection_ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"owner_id": "123e4567-e89b-12d3-a456-426614174000",
"document_type": "pdf",
"metadata": {
"title": "Sample Document"
},
"version": "1.0",
"title": "Sample Document",
"size_in_bytes": 123456,
"ingestion_status": "pending",
"extraction_status": "pending",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"ingestion_attempt_number": 0,
"summary": "A summary of the document",
"summary_embedding": [
0.1,
0.2,
0.3
],
"total_tokens": 1000,
"chunks": [
{
"key": "value"
}
]
}
}{}""Documents
Retrieve a document
Retrieves detailed information about a specific document by its ID.
GET
/
api
/
r2r
/
v3
/
documents
/
{id}
Retrieve a Document
This endpoint returns the document’s metadata, status, and system information. It does not return the document’s content - use the
/documents/{id}/download endpoint for that.
Users can only retrieve documents they own or have access to through collections. Superusers can retrieve any document.Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
JWT token
io.net provided API Key
API key set by an SDK client
Path Parameters
Document ID
Response
200
Show child attributes
Show child attributes
Was this page helpful?
⌘I